local ____lualib = require("lualib_bundle")
local __TS__New = ____lualib.__TS__New
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local PlayerType = ____isaac_2Dtypescript_2Ddefinitions.PlayerType
local ____ReadonlySet = require("types.ReadonlySet")
local ReadonlySet = ____ReadonlySet.ReadonlySet
--- The set of characters where soul hearts will be automatically stripped away (e.g. Bethany). This
-- includes The Lost and Tainted Lost.
____exports.CHARACTERS_WITH_NO_SOUL_HEARTS_SET = __TS__New(ReadonlySet, {
    PlayerType.LOST,
    PlayerType.KEEPER,
    PlayerType.BETHANY,
    PlayerType.LOST_B,
    PlayerType.KEEPER_B
})
return ____exports
